<?xml version="1.0" encoding="UTF-8"?>
<!-- ###### ###### ###### CE FICHIER SERT À AJOUTER DES NOTES POUR LA PUBLICATION POUR LES ÉLÉMENTS APP / LEM / RDG###### ###### ###### ###### ###### ###### -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xhtml="http://www.w3.org/TR/xhtml/strict" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:aid="http://ns.adobe.com/AdobeInDesign/4.0/" xmlns:aid5="http://ns.adobe.com/AdobeInDesign/5.0/" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns="http://www.tei-c.org/ns/1.0" version="2.0" exclude-result-prefixes="tei xhtml">
	<xsl:output method="xml" encoding="UTF-8" indent="no"/>
	<xsl:preserve-space elements="*"/>
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="node()" mode="sansMaj">
		<xsl:value-of select="translate(.,'ABCDEFGHIJKLMNOPQRSTUVWXYZ,.','abcdefghijklmnopqrstuvwxyz')"/>
	</xsl:template>
	<!-- <xsl:template match="tei:rdg" mode="sansMaj">
		<xsl:value-of select="translate(.,'ABCDEFGHIJKLMNOPQRSTUVWXYZ,.','abcdefghijklmnopqrstuvwxyz')"/>
	</xsl:template> -->
	<xsl:template match="tei:lem">
		<xsl:variable name="witList">
			<xsl:value-of select="translate(@wit,'#','')"/>
		</xsl:variable>
		<lem>
			<xsl:apply-templates select="@*|node()"/>
			<note type="apparat_critique">
				<xsl:attribute name="xml:id">
					<xsl:value-of select="@xml:id"/>
					<xsl:text>_note</xsl:text>
				</xsl:attribute>
				<xsl:apply-templates select="node() except (tei:witDetail | tei:note)" mode="sansMaj"/>
				<xsl:text> </xsl:text>
				<hi rend="italic">
					<xsl:if test="@cause">
						<xsl:value-of select="@cause"/>
						<xsl:text> </xsl:text>
					</xsl:if>
					<xsl:value-of select="$witList"/>
				</hi>
				<xsl:if test="tei:witDetail">
					<xsl:text> </xsl:text>
					<hi rend="italic">
						<xsl:choose>
							<xsl:when test="./tei:witDetail/@type='ut_vid.'">
								<xsl:text>ut vid. </xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="tei:witDetail//text()"/>
								<xsl:text> </xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</hi>
				</xsl:if>
				<xsl:text> :</xsl:text>
				<xsl:for-each select="../tei:rdg">
					<xsl:variable name="witListRdg">
						<xsl:value-of select="translate(@wit,'#','')"/>
					</xsl:variable>
					<xsl:choose>
						<!-- il y a une fin de lacune longue -->
						<xsl:when test="child::tei:lacunaEnd">
							<xsl:text>ici se termine la lacune dans </xsl:text>
							<xsl:value-of select="$witListRdg"/>
							<!-- <xsl:if test="./tei:witDetail">
								<xsl:text> </xsl:text>
								<hi rend="italic">
									<xsl:choose>
										<xsl:when test="./tei:witDetail/@type='ut_vid.'">
											<xsl:text>ut vid. </xsl:text>
											<xsl:apply-templates select="tei:witDetail//text()"/>
											<xsl:text> </xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:apply-templates select="tei:witDetail//text()"/>
											<xsl:text> </xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</hi>
							</xsl:if> -->
						</xsl:when>
						<!-- il n’y a pas de fin de lacune longue -->
						<xsl:otherwise>
							<xsl:text> </xsl:text>
							<xsl:apply-templates select="node() except (tei:witDetail | tei:note)" mode="sansMaj"/>
							<xsl:text> </xsl:text>
							<hi rend="italic">
								<xsl:choose>
									<xsl:when test="@cause">
										<xsl:choose>
											<xsl:when test="@cause='non_legitur'">
												<xsl:value-of select="$witListRdg"/>
												<xsl:text> non legitur</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="@cause"/>
												<xsl:text> </xsl:text>
												<xsl:value-of select="$witListRdg"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text> </xsl:text>
										<xsl:value-of select="$witListRdg"/>
									</xsl:otherwise>
								</xsl:choose>
							</hi>
							<xsl:if test="./tei:witDetail">
								<xsl:text> </xsl:text>
								<hi rend="italic">
									<xsl:choose>
										<xsl:when test="./tei:witDetail/@type='ut_vid.'">
											<xsl:text>ut vid. </xsl:text>
											<xsl:apply-templates select="tei:witDetail//text()"/>
											<xsl:text> </xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:apply-templates select="tei:witDetail//text()"/>
											<xsl:text> </xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</hi>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				<xsl:text>. </xsl:text>
			</note>
		</lem>
	</xsl:template>
</xsl:stylesheet>
