<?xml version="1.0" encoding="UTF-8"?>

<!-- ###### ###### ###### CE FICHIER SERT À AJOUTER DES NOTES POUR LA PUBLICATION POUR LES ÉLÉMENTS CORR, SIC, ADD, DEL###### ###### ###### ###### ###### ###### -->
<xsl:stylesheet version="2.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xhtml="http://www.w3.org/TR/xhtml/strict"
    	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:aid="http://ns.adobe.com/AdobeInDesign/4.0/"
		xmlns:aid5="http://ns.adobe.com/AdobeInDesign/5.0/"
		xmlns:tei="http://www.tei-c.org/ns/1.0"
		xmlns="http://www.tei-c.org/ns/1.0"		
		exclude-result-prefixes="tei xhtml"
>
<xsl:output method="xml" encoding="UTF-8" indent="no"/>

<xsl:param name="notesfin" select="notesfin"/>
<xsl:param name="figures" select="figures"/>

<xsl:strip-space elements="*"/>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="tei:note">

	<xsl:choose>
	<xsl:when test="@type='travail'">
		<note>			  
			<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
			<xsl:if test="@resp"><xsl:attribute name="resp"><xsl:value-of select="@resp"/></xsl:attribute></xsl:if>
			<xsl:attribute name="place">foot</xsl:attribute>
			<xsl:attribute name="xml:id">ftn_travail_<xsl:number count="tei:note" from="//" level="any"/></xsl:attribute>
				<xsl:attribute name="n"><xsl:number format="1" count="tei:note[@type='travail']" from="//" level="any"/>’</xsl:attribute>
				<xsl:apply-templates/>
			</note>
	</xsl:when>
	<xsl:when test="@type='philologie'">

		<note>			  
			<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
			<xsl:if test="@resp"><xsl:attribute name="resp"><xsl:value-of select="@resp"/></xsl:attribute></xsl:if>
			<xsl:attribute name="place">foot</xsl:attribute>
			<xsl:attribute name="xml:id">ftn_philologie_<xsl:number count="tei:note" from="//" level="any"/></xsl:attribute>
				<xsl:attribute name="n"><xsl:number format="i" count="tei:note[@type='philologie']" from="//" level="any"/></xsl:attribute>
				<xsl:apply-templates/>
			</note>
</xsl:when>
	<xsl:when test="@type='apparat'">
		<note>
			<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
			<xsl:if test="@resp"><xsl:attribute name="resp"><xsl:value-of select="@resp"/></xsl:attribute></xsl:if>
			<xsl:attribute name="place">foot</xsl:attribute>
			<xsl:attribute name="xml:id">ftn_apparat_<xsl:number count="tei:note" from="//" level="any"/></xsl:attribute>
				<xsl:attribute name="n"><xsl:number format="A" count="tei:note[@type='apparat']" from="//" level="any"/></xsl:attribute>
				<xsl:apply-templates/>
		</note>
</xsl:when>

	<xsl:when test="@type='sources'">		

		<note>
			<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
			<xsl:if test="@resp"><xsl:attribute name="resp"><xsl:value-of select="@resp"/></xsl:attribute></xsl:if>
			<xsl:attribute name="place">foot</xsl:attribute>
			<xsl:attribute name="xml:id">ftn_sources_<xsl:number count="tei:note" from="//" level="any"/></xsl:attribute>
				<xsl:attribute name="n"><xsl:number format="a" count="tei:note[@type='sources']" from="//" level="any"/></xsl:attribute>
				<xsl:apply-templates/>
		</note>
</xsl:when>
	<xsl:otherwise>
		<note>
			<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
			<xsl:if test="@resp"><xsl:attribute name="resp"><xsl:value-of select="@resp"/></xsl:attribute></xsl:if>
			<xsl:attribute name="place">foot</xsl:attribute>
			<xsl:attribute name="xml:id">ftn_<xsl:number count="tei:note" from="//" level="any"/></xsl:attribute>
				<xsl:attribute name="n"><xsl:number format="1" count="tei:note[@type!='sources' or 'philologie' or 'apparat' or 'travail']" from="//" level="any"/></xsl:attribute>
				<xsl:apply-templates/>
		</note>
	</xsl:otherwise>
		</xsl:choose>
</xsl:template>



</xsl:stylesheet>
